ものすごく適当に書いてますので、あてにしないでください!(しないか^^;)

2015年から作成している、もう一つのワードプレスのブログにこのような警告が来ていました。
当時はPHP5.5以前だったかな?で登録したと思うのですが、今はPHP7以上を推奨しているらしいです。
・・・ということは、2015年以前くらいにブログを作った人たちは、このような警告が来ているかもしれませんね。
っていうか、もっと前にブログ作った人は、すでに更新したことあるんだろうなぁ。
簡単だったのかな?検索してみたところ、余計迷宮入りしそうな記事ばっかりで、そっと閉じました・・・。
うーん、変に検索して調べるより、警告文を参照して警告文に従ってやったほうが良さそうです。

最初は難しそうに見えた警告文も、実際にやってみると、実は難しいこと書いてない感じでした。
ワードプレスやっていると、何度か目にする用語が多い・・・。

PHPの更新について詳しくを見ると、

とりあえずバックアッププラグインをインストールして、バックアップを取って、更新のし忘れがあったら全部更新。
PHP の互換性をチェックする: PHP Compatibility Checker プラグインをインストールし、テーマやプラグインの互換性をチェックすればいいのね!簡単だわ!(どこが)

いや、更新のし忘れ~までは、大丈夫でした。
自分のメモ目的なので、間違ってるかもしれませんが。
まず、バックアッププラグインは、これをインストールしました。

インストール後、有効化をクリックします。
その後、「設定」→「今すぐバックアップ」をクリックします。
3分ほど待っていると、バックアップが完了します。あら、意外と簡単だったわ。

次に、更新のし忘れがあったら全部更新します。
管理画面で、更新の隣に赤丸で①とか②とか書いてある奴です。

次に、PHP の互換性をチェックします。
PHP Compatibility Checker プラグインをインストールしたら、チェックできるみたいですね。

とりあえず説明文を読んでみました・・・。頭が煮えそうです・・・。
理解はしていませんが、何度も読みました。
理解はしていませんが、とりあえず「ダウンロード」

・・・。
したんですけど、何かファイルがいっぱい出てきた^^;

何したらいいのか、さっぱりわからなくなってきました。脳がキャパオーバーです。
そうだ、別の方法で、PHP Compatibility Checkerというプラグインをインストールしたらいいんだ。別の方法を探そう。

というわけで、PHP Compatibility Checkerというキーワードでググって見ました。

参考ブログ
PHP Compatibility Checker – PHPのバージョンの互換性を確認できるWordPressプラグイン

頭がいつも以上に働いていないため、大事な作業にもかかわらず、上の参考ブログをちょっと見ただけで、あとは独断で私は下の記事を書いています。
上のブログを参考にして下さい。

これだわ!

WordPress管理画面 > プラグイン > 新規追加 >「PHP Compatibility Checker」で検索

「今すぐインストール」

「有効化」

管理画面に戻って、左の「ツール」→「PHP Compatibility Checker」

最新のやつをチェックしたらいいんですよね?
7.2にしておこう・・・。

警告がいくつか出ましたね・・・。赤のエラーじゃないし、いいかな?(何のためにチェックしたんだ^^;)

賢威辞めた方がいいんでしょうか・・・。っていうか、サイトマップで警告出ていると困りますな。

こんな時は、プラグインがバージョンアップして、警告が出なくなってから変更するといいみたい。
何か月後か何年後かわからない・・・、そんなの待ってられません。

あ、じゃあ、7.0でスキャンしてみよう。

結果は大して変わらない・・・。賢威の警告が1つ減ったくらい。

いいや、やってみよう。バックアップはとっているし。

私はロリポップなので、ロリポップにログインして、PHPの変更をしようとすると・・・。

ああ・・・、7.1だけなのね・・・。

というわけで、7.1をスキャンして確認。三度目の正直^^;

なるほど。まぁいいわ警告2つなら、もう。

おっと、ロリポップは、まずはこっちを確認したほうがいいようで・・・。

プランは「ライト」

データベースバージョンは、「5.6」

つまり、MySQL5.6って意味かしら。

つまりライトプランで、MySQL5.6の私はこれ?

とりあえず書いてある通りに・・・。

ふう、やっと変更できる。
特定のドメインだけか、すべてのドメインで変更できるようです。
っていっても、1つのブログのドメインが分裂しているような・・・(上手く説明できませんが)
もういいわ、すべてのドメインを変更しよう。

早速変更したブログにアクセスすると・・・、こんな画面になっちゃいました。

反映に5分~10分ほどかかるようです。長い・・・。

さて10分経過しました。
いまだにエラー画面が出ております。
ブログにアクセスして、こんな画面出たら店じまいしたと間違われるんじゃ!変な汗出てきました。
最初から、ちゃんと確認してからやらないからだよ・・・。
せめて事前にちょっといじるからエラー出るかもって、ブログでお知らせしておくんだった・・・。

ああ・・・。
https://jill-tone.com/lolipop_php71/
パスワード変更しない方がいいんですね。してしまった。

でも大丈夫。もちろん前のパスワードも、ちゃんとメモってます。

前のパスワードを入力して、もう一度やってみました。

ダメですね。っていうか、前のパスワードはメモしたのですが、1なのかLの小文字なのか、oの小文字なのか数字の0なのか、よくわからんパスワード^^;;;
よりによって、そんなのが並びまくっているんです。私のパスワード・・・。
えー、何パターンあるんだ。これ全部確認するの。
ああ、もうぐだぐだだわ~。
っていうか、一度でもパスワード変更しちゃうとダメっぽい?

念のため、何分か待って様子を見るも、やっぱりこの画面。

仕方ない。

データベースのパスワードを変更しちゃった人は、これをやるしかないらしい!
https://lolipop.jp/support/faq/service/000794/

今度こそ~。
できた!

5.3で「現在の属性」を変更した場合は、「400」に戻した上で〔保存する〕をクリックします
600に変更した人は、400に戻すのをお忘れなく!